## edi050s.zip

=== setedit/Makefile ===
# Generated automatically by the configure script

MPREFIX=e:/dj
libdir=$(MPREFIX)/lib
CFLAGS=-O2 -Wall -Werror -gstabs+3
CXXFLAGS=-O2 -Wall -Werror -gstabs+3 -fno-exceptions -fno-rtti
export

.PHONY: needed infview plasmas libbzip2 libmpegsnd libintl installer internac doc-basic

all: editor infview plasmas installer


libmpegsnd:
	$(MAKE) -C mp3/mpegsound -f mpegsnd.mak

libbzip2:
	$(MAKE) -C libbzip2 libbz2.a

libintl:
	$(MAKE) -C gettext

internac:
	$(MAKE) -C internac

doc-basic:
	$(MAKE) -C doc txt info

# Libraries not created by RHIDE projects
needed: libmpegsnd libbzip2 libintl internac doc-basic

editor: needed
	$(MAKE) -C makes

infview:
	$(MAKE) -C makes infview

plasmas:
	cd scrnsave; $(MAKE); cd ..

installer: editor
	$(MAKE) -C makes installer

install-editor: editor
	$(MAKE) -C makes install

install-infview: infview
	$(MAKE) -C makes install-infview

install: install-editor install-infview


distrib-editor: needed
	$(MAKE) -C makes distrib

distrib-infview: needed
	$(MAKE) -C makes distrib-infview

distrib: distrib-editor distrib-infview

clean:
	cd makes; $(MAKE) clean-o; $(MAKE) clean-docs; cd ..
	rm -f configure.cache
	rm -f Makefile
	rm -f errormsg.txt
	rm -f doc/sdh.exe
	rm -f include/configed.h
	rm -rf makes/djgpp/distinf makes/djgpp/distrib makes/djgpp/result makes/djgpp/resulinf
	rm -f makes/*.a makes/*.exe makes/*.gdt
	rm -f mp3/libamp/*.a mp3/libamp/obj/*.o
	rm -f mp3/mpegsound/*.a mp3/mpegsound/obj/*.o
	cd scrnsave; $(MAKE) clean-o; cd ..
	$(MAKE) -C libbzip2 clean
