=== setedit/debian/changelog ===
setedit (0.5.0-0.4) unstable; urgency=low

  * Just testing a new alpha version from CVS dated 2 Oct 2002.
  * Someone stole my bicycle!!!

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Thu,  3 Oct 2002 20:43:35 -0300

setedit (0.5.0-0.3) unstable; urgency=low

  * New upstream alpha version from CVS dated 11 Sep 2002 (big changes, could
    be unstable).
  * debian/maintainer.notes: it was very outdated, now contains accurate and
    more useful information.
  * Added information about APT repository in README.Debian.
  * infview package didn't had upstream changelog and README.Debian.

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Wed, 11 Sep 2002 19:53:31 -0300

setedit (0.5.0-0.2) unstable; urgency=low

  * Added build dependency on aalib1-dev, so the AALib-Plasma screensaver
    gets built.
  * Added a translation to Spanish of the DebConf template file (new file
    debian/setedit.templates.es, added to makes/lista).

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Fri,  6 Sep 2002 13:14:05 -0300

setedit (0.5.0-0.1) unstable; urgency=low

  * New upstream alpha version from CVS dated 5 Sep 2002.
  * Policy now prohibits the use of the add-log-mailing-address Emacs tag so
    removed it from the changelog (anyway you guessed it right: I don't use
    Emacs! :-))) ).

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Thu,  5 Sep 2002 19:19:06 -0300

setedit (0.4.57-0.4) unstable; urgency=low

  * New upstream alpha version from CVS dated 25 jul 2002 (that's my
    birthday!!!).
  * Changed my email from lubaldo to ibaldo, so updated that everywhere.
  * Added more comments to the debian/rules file, it seems that Salvador was
    confused one time :).

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Mon, 29 Jul 2002 19:30:54 -0300

setedit (0.4.57-0.3) unstable; urgency=low

  * DebConf support for generating the /usr/share/setedit/install.log
    file containing options used when the editor cannot load a desktop
    file. I think I have done it The Right Way, reading existing values
    from the install.log file, adding new ones and modifying the existing
    ones.
  * Build-Depends on a newer debhelper (>=2.0.54) because of the
    debconfisation and also Depends on debconf (I don't know if I have to
    specify a version though).

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Mon, 17 Jun 2002 01:57:43 -0300

setedit (0.4.57-0.2) unstable; urgency=low

  * New unstable alpha version from CVS dated 5 Jun 2002.
  * build-depend on xlibs-dev after confirming that it's needed and
    also added libncurses-dev and tar to the list, and removed make
    since it is included on build-essential.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Thu,  6 Jun 2002 16:46:11 -0300

setedit (0.4.55-0.1) unstable; urgency=low

  * New version automatically modified by version update scripts

 -- Salvador E. Tropea (SET) <salvador@inti.gov.ar>  Sun, 21 Apr 2002 20:12:56 -0300

setedit (0.4.54-1) unstable; urgency=low

  * The "Brothers of Argentina have problems, I hope they can get
    through it soon!" release, which it is dedicated to my argentine
    neighbors.
  * New release, with small changes and fixes, this one is supposed to
    be the One, I mean, the new Stable one, so rejoice!!!
  * Upstream says that it modified debian/rules to not delete
    doc/Makefile and internac/Makefile, but it seems it did not.
    I decided to stick with removing that files, because that's what
    I think should be done (to leave the source directory identical to
    the upstream released one, after the clean). I will talk with
    Salvador about that, not big problem though so don't worry.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Tue, 29 Jan 2002 00:10:56 -0300

setedit (0.4.53-1) unstable; urgency=low

  * The "Ivan hates computers after having good vacations" release.
    Well, I was on Punta del Este, good beachs, good womans, some fun
    at night, and no computers :). My hate for computers is temporary
    and it happens everytime I have good vacations, so don't worry.
  * New prerelease version, it fixes some memory leaks, improves
    compilation, some other tiny things, etc.
  * Remove internac/fix.exe on debian/rules clean.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Tue,  8 Jan 2002 15:12:38 -0300

setedit (0.4.52-2) unstable; urgency=low

  * Well, in the period of last testing of the stable release, some
    small issues where discovered and fixed. Note that the release was
    not announced, it was only announced on the setedit-users mailing
    list and as a prerelease. Lets hope that this becomes the real
    release.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Tue,  4 Dec 2001 02:10:43 -0300

setedit (0.4.52-1) unstable; urgency=low

  * The "Arriba Uruguay nom!!!" release, Uruguay goes to the Fifa
    World Soccer Championship Korea-Japan 2002, it was hard but our
    team made it!
  * Yes!!! New stable version of the editor!!!
  * Modified generated info files because Debian's install-info doesn't
    remove info files that specify "something.info" as their node, it
    needs "something" specified instead, and also, infview.info was
    being registered as infeng.info, which prevented it from being
    accessed from the main info file (the "dir" info file).
  * The infobrowser alternative (from infview) was being unregistered
    incorrectly.
  * Well, that's a lot of bugs I have found just before the stable
    release! I think two things:
    1 - I should do a more thorough testing while testing the unstable
      versions, to avoid surprises like these ones just before a stable
      release!
    2 - I don't have good testers of the packages or the people just
      doesn't bother to report the bugs.
  
 -- Ivan Baldo <lubaldo@adinet.com.uy>  Mon, 26 Nov 2001 19:36:39 -0300

setedit (0.4.51-4) unstable; urgency=low

  * No changes, just a newer upstream source from CVS and I will upload
    this version to the repository together with a little newer stable
    RHTVision, so people can test this release of the editor which is

